| # Gaudi Framework, version v20r4
Generated: 8 Jan 2009

# std Namespace Reference

## Detailed Description

STL namespace.

## Classes
class | allocator
| STL class.
class | auto_ptr
| STL class.
class | ios_base
| STL class.
class | basic_ios
| STL class.
class | basic_istream
| STL class.
class | basic_ostream
| STL class.
class | basic_iostream
| STL class.
class | basic_ifstream
| STL class.
class | basic_ofstream
| STL class.
class | basic_fstream
| STL class.
class | basic_istringstream
| STL class.
class | basic_ostringstream
| STL class.
class | basic_stringstream
| STL class.
class | ios
| STL class.
class | wios
| STL class.
class | istream
| STL class.
class | wistream
| STL class.
class | ostream
| STL class.
class | wostream
| STL class.
class | ifstream
| STL class.
class | wifstream
| STL class.
class | ofstream
| STL class.
class | wofstream
| STL class.
class | fstream
| STL class.
class | wfstream
| STL class.
class | istringstream
| STL class.
class | wistringstream
| STL class.
class | ostringstream
| STL class.
class | wostringstream
| STL class.
class | stringstream
| STL class.
class | wstringstream
| STL class.
class | basic_string
| STL class.
class | string
| STL class.
class | wstring
| STL class.
class | complex
| STL class.
class | bitset
| STL class.
class | deque
| STL class.
class | list
| STL class.
class | map
| STL class.
class | multimap
| STL class.
class | set
| STL class.
class | multiset
| STL class.
class | vector
| STL class.
class | queue
| STL class.
class | priority_queue
| STL class.
class | stack
| STL class.
class | valarray
| STL class.
class | exception
| STL class.
class | bad_alloc
| STL class.
class | bad_cast
| STL class.
class | bad_typeid
| STL class.
class | logic_error
| STL class.
class | runtime_error
| STL class.
class | bad_exception
| STL class.
class | domain_error
| STL class.
class | invalid_argument
| STL class.
class | length_error
| STL class.
class | out_of_range
| STL class.
class | range_error
| STL class.
class | overflow_error
| STL class.
class | underflow_error
| STL class.
## Functions
template<class KEY, class VALUE, class KEYCOMPARE, class ALLOCATOR>
void | swap (GaudiUtils::VectorMap< KEY, VALUE, KEYCOMPARE, ALLOCATOR > &left, GaudiUtils::VectorMap< KEY, VALUE, KEYCOMPARE, ALLOCATOR > &right)
| the definition of specialized algorithm for swapping

## Function Documentation

template<class KEY, class VALUE, class KEYCOMPARE, class ALLOCATOR>

void std::swap | ( | GaudiUtils::VectorMap< KEY, VALUE, KEYCOMPARE, ALLOCATOR > & | left,
|  | GaudiUtils::VectorMap< KEY, VALUE, KEYCOMPARE, ALLOCATOR > & | right |
| ) |  |  | `[inline]`

the definition of specialized algorithm for swapping

Parameters:

  | left | object to be swapped
  | right | object to be swapped

Definition at line 772 of file VectorMap.h.

    00774   { left.swap( right ) ; }